/* rem and em do not depend on html font-size in media queries
1 rem = 1 em = 16px */

/***************************************************/
/* BELOW 1408px (Smaller desktops) */
/***************************************************/

@media (max-width: 88em) {
  .products {
    padding: 0 4.8rem;
  }
  .btn.btn-filter-widget--open,
  .products-filter .btn.btn-widget--close {
    display: flex;
  }

  .products-filter {
    height: calc(100vh - 0.4rem);
    box-shadow: none;
    position: fixed;
    top: 0;
    left: 0;
    padding: 6.4rem 3.2rem 12.8rem 3.2rem;
    margin: 0.2rem 0.1rem;
    border-radius: 6px;
    z-index: 999;
    background-color: #fff;
    overflow-y: scroll;
    overscroll-behavior: contain;
    -ms-overflow-style: none;
    scrollbar-width: none;
    transform: translateX(-100%);
    transition: all 0.5s ease-in;

    /* Hide navigation */
    /* Allows no transitions at all */
    /* Display: none */
    /* 1 Hide visually */
    opacity: 0;
    /* 2 Make it unaccessible to mouse and keyboard */
    pointer-events: none;
    /* 3 Hide it from screen readers */
    visibility: hidden;
  }
  .products-filter::-webkit-scrollbar,
  .filter-header-container {
    display: none;
  }

  .filter-widget--open .products-filter,
  .filter-widget--open:is(body)::after {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
  }

  .filter-widget--open .products-filter {
    transform: translateX(0);
  }
}

/***************************************************/
/* BELOW 1120px (Landscape Tablets) */
/***************************************************/

@media (max-width: 70em) {
  html {
    /* Change to 9px instead of 10px*/
    /*
    16px - 100%
    9px - x
    x = (9px * 100%) / 16px
    x = 56.25 %
    */
    font-size: 56.25%;
  }
  .grid {
    column-gap: 4.8rem;
    row-gap: 6.4rem;
  }
  .heading-primary {
    font-size: 4.4rem;
  }
  .heading-secondary {
    font-size: 3.6rem;
  }
  .heading-tertiary {
    font-size: 2.4rem;
  }
  .accordion-heading {
    font-size: 2rem;
  }
  .accordion-number,
  .accordion-icon {
    font-size: 3rem;
  }

  .product-categories {
    width: 85%;
  }
}

/***************************************************/
/* BELOW 976px (Tablets) */
/***************************************************/

@media (max-width: 61em) {
  html {
    /*
    Change to 8px
    16px - 100%
    8px - x
    x = 50%
    */
    font-size: 50%;
  }
  .search-box {
    max-width: 65rem;
  }
  .card-box {
    padding: 2.4rem 1.6rem;
  }
}

/***************************************************/
/* BELOW 832px (Smaller Tablets) */
/***************************************************/

@media (max-width: 52em) {
  .header {
    padding: 1.6rem 3.2rem 0 3.2rem;
    height: 14.77rem;
  }

  .main-nav-container {
    border-bottom: 1px solid transparent;
    margin-bottom: 0;
    padding-bottom: 0;
  }

  .main-nav-list {
    gap: 3.2rem;
  }

  .search-box {
    display: none;
  }

  .main-nav-list li:has(.nav-link.btn-mobile-search),
  .main-nav-list li:has(.nav-link.btn-mobile-nav) {
    display: block;
  }

  .search-box-widget .btn.btn-widget--close {
    display: flex;
  }

  .search-widget--open .search-box-widget,
  .search-widget--open:is(body)::after {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

  .search-widget--open .search-box-widget {
    transform: translateX(0);
  }

  .side-nav {
    position: absolute;
    top: 90%;
    right: 2%;
    background-color: rgba(247, 244, 241, 0.98);
    box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.15);
    padding: 3.2rem 1.6rem;
    border-radius: 6px;
    z-index: 999;
    transform: translateY(-3.2rem);
    transition: all 0.4s ease-in;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
  }

  .side-nav-list {
    flex-direction: column;
    gap: 3.2rem;
  }

  .side-nav-list .nav-link {
    font-weight: 500;
  }

  .open-nav .side-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .section-hero {
    padding: 9.6rem 0 12.8rem 0;
  }

  .slider-item {
    cursor: grab;
  }

  .slider-item:active {
    cursor: grabbing;
  }

  .slider-item::after,
  .slider-btn {
    display: none;
  }

  .section-features {
    padding: 9.6rem 12.8rem 6.4rem 0;
  }

  .grid--2-cols {
    grid-template-columns: repeat(1, 1fr);
  }

  .product-categories {
    width: 100%;
  }

  .products {
    grid-template-columns: repeat(3, 1fr);
  }

  .how-container {
    grid-template-columns: 1fr;
  }

  .how-accordion {
    gap: 3.2rem;
  }

  .how-img-container {
    width: 45%;
    justify-self: center;
  }

  .section-about {
    padding: 6.4rem 0 12.8rem 0;
  }

  .about-text {
    grid-row: 1 / 2;
    margin-bottom: 8rem;
    padding-right: 12.8rem;
  }

  .about-map {
    width: 70%;
    height: 45rem;
  }

  .about-map-list {
    grid-row: auto;
  }

  .cta-form {
    grid-template-columns: 1fr;
    width: 57rem;
  }

  .cta-form input[type="submit"] {
    grid-column: auto;
  }

  .grid--footer {
    grid-template-columns: repeat(6, 1fr);
  }

  .logo-col,
  .address-col {
    grid-column: span 3;
  }

  .nav-col {
    grid-row: 1 / 2;
    grid-column: span 2;
    margin-bottom: 3.2rem;
  }

  .search-link {
    display: none;
  }
  .footer-link.btn-mobile-search {
    display: inline-block;
  }
}

/***************************************************/
/* BELOW 720px (Bigger Phones) */
/***************************************************/

@media (max-width: 45em) {
  .product-categories {
    grid-template-columns: repeat(3, 1fr);
    width: 65%;
  }
  .products {
    grid-template-columns: repeat(2, 1fr);
  }
}

/***************************************************/
/* BELOW 544px (Phones) */
/***************************************************/

@media (max-width: 34em) {
  .container {
    padding: 0 2.4rem;
  }

  .grid {
    row-gap: 4.8rem;
  }

  .heading-secondary {
    margin-bottom: 6.4rem;
  }

  .logo {
    height: 9.6rem;
  }

  .header {
    padding: 1.6rem 2.4rem 0 2.4rem;
  }

  .main-nav-list {
    gap: 2.4rem;
  }
  .main-nav-list li:first-child {
    margin-left: 2rem;
  }

  .section-hero {
    padding: 4.8rem 0 6.4rem 0;
  }

  .hero {
    padding: 0 2.4rem;
  }

  .main-nav-container .nav-link,
  .main-nav-container .nav-link:link,
  .main-nav-container .nav-link:visited {
    font-size: 1.4rem;
  }

  .btn.btn-mobile-nav .nav-icon {
    font-size: 5.2rem;
  }

  .commercial-btn .btn {
    font-size: 1.6rem;
  }

  .slider-dot {
    padding: 0.3rem 1.6rem;
    box-shadow: 0 0.3rem 0.4rem rgba(0, 0, 0, 0.2);
  }

  .slider-dot--active {
    padding: 0.3rem 2.4rem;
  }

  .section-features {
    padding: 9.6rem 0 6.4rem 0;
  }

  .product-categories {
    width: 100%;
  }

  .products {
    grid-template-columns: repeat(1, 1fr);
    row-gap: 4.8rem;
  }

  .pagination {
    display: none;
  }

  .pagination-mobile {
    display: block;
  }

  .accordion-text-container {
    grid-column: 1 / -1;
  }

  .how-img-container {
    width: 60%;
  }

  .about-text {
    padding-right: 0;
  }

  .about-map {
    width: 100%;
    height: 38rem;
  }

  .cta-form {
    width: 100%;
  }

  .rules-policy {
    width: 95%;
  }
  .policy-text-box {
    padding: 1.6rem 2.4rem 1.6rem 3.2rem;
  }
}
